// Code generated by go-swagger; DO NOT EDIT.

package users

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	"gitlab.com/apricotsoft/public/infrastructure/vmdap/internal/transports/http/codegen/models"
)

// UserListOKCode is the HTTP code returned for type UserListOK
const UserListOKCode int = 200

/*UserListOK A successful response.

swagger:response userListOK
*/
type UserListOK struct {

	/*
	  In: Body
	*/
	Payload *models.VMListResponse `json:"body,omitempty"`
}

// NewUserListOK creates UserListOK with default headers values
func NewUserListOK() *UserListOK {

	return &UserListOK{}
}

// WithPayload adds the payload to the user list o k response
func (o *UserListOK) WithPayload(payload *models.VMListResponse) *UserListOK {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the user list o k response
func (o *UserListOK) SetPayload(payload *models.VMListResponse) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *UserListOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(200)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}

/*UserListDefault An unexpected error response

swagger:response userListDefault
*/
type UserListDefault struct {
	_statusCode int

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewUserListDefault creates UserListDefault with default headers values
func NewUserListDefault(code int) *UserListDefault {
	if code <= 0 {
		code = 500
	}

	return &UserListDefault{
		_statusCode: code,
	}
}

// WithStatusCode adds the status to the user list default response
func (o *UserListDefault) WithStatusCode(code int) *UserListDefault {
	o._statusCode = code
	return o
}

// SetStatusCode sets the status to the user list default response
func (o *UserListDefault) SetStatusCode(code int) {
	o._statusCode = code
}

// WithPayload adds the payload to the user list default response
func (o *UserListDefault) WithPayload(payload *models.Error) *UserListDefault {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the user list default response
func (o *UserListDefault) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *UserListDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(o._statusCode)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}
